
#ifndef PLUGIN_VTC_HEADER_H
#define PLUGIN_VTC_HEADER_H

// header for VTC
struct VTC_Header
{
	int   HeaderSize;
	int   NrOfVolumes;  // nr of time points
	int   InMemory;
	int   InTalSpace;
	int   TR;

	int   XStart;
	int   XEnd;
	int   YStart;
	int   YEnd;
	int   ZStart;
	int   ZEnd;
	int   Resolution; // "1", "2" or "3" at present

	char  VTCFileName[261];
	char  LinkedProtocolName[261];
	char  CreatedFromFMR[261];

	// Note that X/Y/Z/End values are exclusive, compute dims as:
	// dim_x = (XEndVTC - XStartVTC)/Resolution;
	// dim_y = (YEndVTC - YStartVTC)/Resolution;
	// dim_z = (ZEndVTC - ZStartVTC)/Resolution;
};


#endif // PLUGIN_VTC_HEADER_H